%define _name Sablot
%def_without static

# Sablotron XSLT Extensions
%def_without js_ext

Name: sablotron
Version: 1.0.1
Release: alt1.1

Summary: XSLT processor
License: MPL/GPL
Group: Development/Other
Url: http://www.gingerall.cz

Source: http://download-2.gingerall.cz/download/sablot/%_name-%version.tar.gz
Patch: %_name-1.0.1-alt-makefile.patch

Requires: lib%name = %version-%release  expat >= 1.95.1

BuildPreReq: libtool_1.4

BuildPreReq: libexpat-devel >= 1.95.1

# Automatically added by buildreq on Fri Nov 28 2003
BuildRequires: gcc-c++ glibc-devel-static hostinfo libexpat-devel libstdc++-devel perl-XML-Parser perl-i18n

%if_with js_ext
BuildRequires: libjs-devel perl-devel
%endif

%description
Sablotron is a fast, compact and portable XML toolkit
implementing XSLT, DOM and XPath.

%package -n lib%name
Summary: The shared libraries for %name
Group: System/Libraries

%description -n lib%name
These are the shared libraries for %name

%package -n lib%name-devel
Summary: The development libraries and header files for %name
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
These are the development libraries and header files for %name

%package -n lib%name-devel-static
Requires: lib%name-devel = %version-%release
Summary: The static libraries for %name
Group: Development/C++

%description -n lib%name-devel-static
These are the static libraries for %name

%prep
%setup -q -n %_name-%version
%patch -p1

%build
%set_libtool_version 1.4
%add_optflags %optflags_nocpp 
export CXX=%__cc

%__rm -f autocfg/missing
touch AUTHORS NEWS ChangeLog
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__autoconf
%__automake -a -c -f

export SABLOT_GPL=1
%configure \
    --enable-debugger \
%if_with js_ext
    --enable-javascript \
    --enable-perlconnect
%endif

%make_build

%install
%makeinstall

%__chmod -x [A-Z]*

%__mkdir temp
%__mv doc/apidoc/Makefile* temp/

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/sabcmd
%_man1dir/*
%doc README* RELEASE

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/sablot-config
%_libdir/*.so
%_includedir/*.h
%doc doc/apidoc
%doc doc/misc/{DEBUGGER,NOTES}

%if_with static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Tue Dec 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1.1
- fixed build.
- do not build devel-static subpackage by default.

* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- new version.
- do not package .la files.

* Sun Jun 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.98-alt1
- 0.98

* Thu Mar 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.97-alt1
- 0.97

* Tue Nov 05 2002 Rider <rider@altlinux.ru> 0.96-alt2
- Patch from gingerall.cz for gcc 3.2 build

* Mon Sep 16 2002 Rider <rider@altlinux.ru> 0.96-alt1
- 0.96

* Sun Aug 25 2002 Rider <rider@altlinux.ru> 0.95-alt1
- 0.95

* Tue Apr 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.90-alt2
- Right names and new splitting by packages.
- prepared for building with JS extension.

* Mon Apr 15 2002 Rider <rider@altlinux.ru> libsablotron-0.90-alt1
- 0.90

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 0.82-alt1
- 0.82

* Thu Nov 08 2001 Rider <rider@altlinux.ru> 0.71-alt1
- 0.71

* Thu Jun 07 2001 Rider <rider@altlinux.ru>
- first build for ALT Linux

* Wed Apr 22 2001 Petr Cimprich <petr@gingerall.cz>
- sablotron 0.52 RPM release 1
- based on 0.51-5 spec by Henri Gomez

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 5
- apply patch to add -lexpat and -lstdc++ in libsablot.so
  REQUIRED for use with PHP4

* Thu Feb 22 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 4
- follow Redhat way to dispatch between pack and pack-devel

* Tue Feb 20 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 3
- added ldconfig is post/preun and cleanup stuff
- build under Redhat 6.2 + updates with rpm 3.0.5

* Mon Feb 19 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 2
- added Requires expat >= 1.95.1

* Mon Feb 19 2001 Henri Gomez <hgomez@slib.fr>
- sablotron 0.51 RPM release 1
- updated spec file

